Bug 207300 - x11/gnome-shell: add missing runtime dependency upon x11/libgnomekbd
Summary: x11/gnome-shell: add missing runtime dependency upon x11/libgnomekbd
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-gnome (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-02-18 09:59 UTC by Ruslan Makhmatkhanov
Modified: 2021-05-04 19:38 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (gnome)


Attachments
Show keyboard layout (9.02 KB, image/png)
2016-02-18 09:59 UTC, Ruslan Makhmatkhanov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ruslan Makhmatkhanov freebsd_committer 2016-02-18 09:59:09 UTC
Created attachment 167142 [details]
Show keyboard layout

x11/gnome-shell lacks dependency on x11/libgnomekbd. Here is how it can't be checked out (see attached screenshot):

1. Click on language indicator on panel
2. Click on 'Show keyboard layout' button

You'll get this error message:
Execution of "gkbd-keyboard-display" failed: Command not found

Installing of x11/libgnomekbd resolves the issue.
Comment 1 commit-hook freebsd_committer 2016-03-05 19:09:35 UTC
A commit references this bug:

Author: rm
Date: Sat Mar  5 19:09:19 UTC 2016
New revision: 410202
URL: https://svnweb.freebsd.org/changeset/ports/410202

Log:
  x11/gnome-shell: add missing runtime dependency upon x11/libgnomekbd

  x11/gnome-shell lacks dependency on x11/libgnomekbd. Here is how it can be
  checked out:

  1. Click on language indicator on panel
  2. Click on 'Show keyboard layout' button

  You'll get this error message:
  Execution of "gkbd-keyboard-display" failed: Command not found

  Installing of x11/libgnomekbd resolves the issue.

  PR:		207300
  With hat:       gnome
  MFH:		2016Q1

Changes:
  head/x11/gnome-shell/Makefile
Comment 2 Ruslan Makhmatkhanov freebsd_committer 2016-03-05 19:12:02 UTC
Committed.
Comment 3 Guangyuan Yang freebsd_committer 2021-05-03 09:08:49 UTC
It seems like this one is lacking again..
Comment 4 commit-hook freebsd_committer 2021-05-04 10:25:17 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=1660b92d6953a5ca0ca5eb8b25cf04c0c929c983

commit 1660b92d6953a5ca0ca5eb8b25cf04c0c929c983
Author:     Ruslan Makhmatkhanov <rm@FreeBSD.org>
AuthorDate: 2021-05-04 10:24:18 +0000
Commit:     Ruslan Makhmatkhanov <rm@FreeBSD.org>
CommitDate: 2021-05-04 10:24:18 +0000

    x11/gnome-shell: reintroduce dependency upon x11/libgnomekbd

    It was dropped in 951c1f5d1c735, but it still required at runtime
    to make "show keyboard map" functionality to work as was reported
    in original PR.
    PR:             207300
    Spotted by:     ygy
    With hat:       gnome

 x11/gnome-shell/Makefile | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)
Comment 5 Ruslan Makhmatkhanov freebsd_committer 2021-05-04 10:26:05 UTC
(In reply to Guangyuan Yang from comment #3)

it was. now fixed, thank you!
Comment 6 Guangyuan Yang freebsd_committer 2021-05-04 19:38:38 UTC
(In reply to Ruslan Makhmatkhanov from comment #5)

Thank you for fixing it (again)!